#screen {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 95vh;
}
#screen #floor {
  position: relative;
  width: 700px;
  height: 700px;
  border: 1px solid blue;
  background-color: black;
}

#pacman {
  position: absolute;
  width: 50px;
  height: 50px;
  border: 2px solid black;
  border-radius: 25px;
  background-color: yellow;
}
#pacman #pacman-mouth {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: black;
  clip-path: polygon(100% 74%, 44% 48%, 100% 21%);
  animation: eat 700ms infinite;
}

@keyframes eat {
  0% {
    clip-path: polygon(100% 74%, 44% 48%, 100% 21%);
  }
  25% {
    clip-path: polygon(100% 60%, 44% 48%, 100% 40%);
  }
  50% {
    clip-path: polygon(100% 50%, 44% 48%, 100% 50%);
  }
  75% {
    clip-path: polygon(100% 59%, 44% 48%, 100% 35%);
  }
  100% {
    clip-path: polygon(100% 74%, 44% 48%, 100% 21%);
  }
}
.ghost {
  position: absolute;
  width: 35px;
  height: 40px;
  border-radius: 30% 30% 0 0;
}
.ghost .eyes {
  display: flex;
  justify-content: space-around;
  align-items: flex-end;
  width: 35px;
  height: 20px;
}
.ghost .eyes .eye {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 15px;
  height: 15px;
  border-radius: 100%;
  background-color: white;
}
.ghost .eyes .eye .iris {
  width: 7px;
  height: 7px;
  border-radius: 100%;
  background-color: blue;
}
.ghost .tail {
  position: absolute;
  bottom: -10px;
  width: 35px;
  height: 10px;
  background-size: 10px 10px, 10px 10px;
  background-repeat: repeat-x;
}

.modal {
  z-index: 999;
  position: absolute;
  left: 200px;
  bottom: 200px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 300px;
  height: 300px;
  border: 3px solid #3f51b5;
  background-color: black;
}
.modal .txt {
  color: red;
  font-weight: bold;
  font-size: 40px;
}
.modal .btn {
  padding: 2px 9px;
  margin: 5px 0;
  border-radius: 5px;
  border: 2px solid white;
  color: red;
  font-weight: bold;
  font-size: 40px;
  cursor: pointer;
}
.modal .btn:hover {
  color: yellow;
}
